*** omnitab.f	2015-03-07 15:45:35.938719363 -0500
--- omnitab.for	2015-03-07 15:45:44.086544659 -0500
***************
*** 10937,10960 ****
        IF (IP.EQ.1) GO TO 30                                             PAC 220
  C     PACK                                                              PAC 230
  10    MWORD(KA)=0                                                       PAC 240
!       DO 20 I=1,3                                                       PAC 250
        MWORD(KA)=MWORD(KA)*256+NWORD(KB)+1                               PAC 260
        KB=KB+1                                                           PAC 270
        IF(KB.GT.NO)  GO TO 22                                            PAC 280
  20    CONTINUE                                                          PAC 290
        KA=KA+1                                                           PAC 300
        GO TO 10                                                          PAC 310
!   22  ICE=MOD(NO,3)                                                     PAC 311
        IF(ICE.EQ.0) RETURN                                               PAC 312
!       ICE=3-ICE                                                         PAC 313
    24  MWORD(KA)=MWORD(KA)*256+45                                        PAC 314
        ICE=ICE-1                                                         PAC 315
        IF (ICE.EQ.0) RETURN                                              PAC 316
        GO TO 24                                                          PAC 317
  C     UNPACK                                                            PAC 320
  30    ICA=NWORD(KB)                                                     PAC 330
!       ICD=65536                                                         PAC 340
!       DO 40 I=1,3                                                       PAC 350
        ICB=ICA/ICD                                                       PAC 360
        IF (ICB.EQ.0) GO TO 40                                            PAC 370
        MWORD(KA)=L(ICB)                                                  PAC 380
--- 10937,10960 ----
        IF (IP.EQ.1) GO TO 30                                             PAC 220
  C     PACK                                                              PAC 230
  10    MWORD(KA)=0                                                       PAC 240
!       DO 20 I=1,4                                                       PAC 250
        MWORD(KA)=MWORD(KA)*256+NWORD(KB)+1                               PAC 260
        KB=KB+1                                                           PAC 270
        IF(KB.GT.NO)  GO TO 22                                            PAC 280
  20    CONTINUE                                                          PAC 290
        KA=KA+1                                                           PAC 300
        GO TO 10                                                          PAC 310
!   22  ICE=MOD(NO,4)                                                     PAC 311
        IF(ICE.EQ.0) RETURN                                               PAC 312
!       ICE=4-ICE                                                         PAC 313
    24  MWORD(KA)=MWORD(KA)*256+45                                        PAC 314
        ICE=ICE-1                                                         PAC 315
        IF (ICE.EQ.0) RETURN                                              PAC 316
        GO TO 24                                                          PAC 317
  C     UNPACK                                                            PAC 320
  30    ICA=NWORD(KB)                                                     PAC 330
!       ICD=16777216                                                      PAC 340
!       DO 40 I=1,4                                                       PAC 350
        ICB=ICA/ICD                                                       PAC 360
        IF (ICB.EQ.0) GO TO 40                                            PAC 370
        MWORD(KA)=L(ICB)                                                  PAC 380
***************
*** 11643,11649 ****
  C     AND LA DOES NOT = 50                                              PRE 490
  C     THEN THE FOLLOWING DATA STATEMENT MUST BE CHANGED                 PRE 500
  C                                                                       PRE 510
!       DATA II/12/,LA/50/                                                PRE 520
  C                                                                       PRE 530
  C     FORMAT 90 MUST BE CHANGED IF MORE OR FEWER CHARACTERS CAN BE      PRE 540
  C     PACKED INTO A WORD. 90 FORMAT (IIAK) WHERE II IS DEFINED ABOVE ANDPRE 550
--- 11643,11649 ----
  C     AND LA DOES NOT = 50                                              PRE 490
  C     THEN THE FOLLOWING DATA STATEMENT MUST BE CHANGED                 PRE 500
  C                                                                       PRE 510
!       DATA II/18/,LA/50/                                                PRE 520
  C                                                                       PRE 530
  C     FORMAT 90 MUST BE CHANGED IF MORE OR FEWER CHARACTERS CAN BE      PRE 540
  C     PACKED INTO A WORD. 90 FORMAT (IIAK) WHERE II IS DEFINED ABOVE ANDPRE 550
***************
*** 11734,11740 ****
  220   CALL PACK (IHEAD(2,I),LH,12,1)                                    PRE1330
        RETURN                                                            PRE1340
  C                                                                       PRE1350
! 230   FORMAT (12A6)                                                     PRE1360
  240   FORMAT (80A1)                                                     PRE1370
        END                                                               PRE1380
        SUBROUTINE PRINTX                                                 PRI  10
--- 11734,11740 ----
  220   CALL PACK (IHEAD(2,I),LH,12,1)                                    PRE1330
        RETURN                                                            PRE1340
  C                                                                       PRE1350
! 230   FORMAT (18A4)                                                     PRE1360
  240   FORMAT (80A1)                                                     PRE1370
        END                                                               PRE1380
        SUBROUTINE PRINTX                                                 PRI  10
